Name:		stripesnoop
Version:	1.5
Release:	8%{?dist}.3
License:	GPL+
Group:		Applications/System
Summary:	Magnetic Stripe Reader
URL:		http://stripesnoop.sourceforge.net
Source0:	http://download.sourceforge.net/stripesnoop/ss-%{version}-src.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		stripesnoop-1.5-rpmoptflags.patch
Patch1:		stripesnoop-1.5-deflinux.patch
Patch2:		stripesnoop-1.5-asmio.patch
Patch3:		stripesnoop-1.5-pathing.patch
Provides:	stripesnoop-devel = %{version}-%{release}
Obsoletes:	stripesnoop-devel
# ppc has no inb/outb
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240499
ExcludeArch:	ppc ppc64

%description
Stripe Snoop is a suite of research tools that captures, modifies, validates, 
generates, analyzes, and shares data from magstripe cards. Numerous readers 
are supported to gather this information. In addition to simply displaying 
the raw characters that are encoded on the card, Stripe Snoop has a database 
of known card formats. It uses this to give you more detailed information 
about the card.

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif
%patch3 -p1
chmod -x cards.txt ChangeLog.txt COPYING.txt README.txt visa-pre.txt \
	 hardware/* samples/*

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m0644 dl-iin.csv visa-pre.txt $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m0755 bitgen mod10 ss $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog.txt COPYING.txt README.txt hardware/ samples/
%{_bindir}/ss
%{_bindir}/bitgen
%{_bindir}/mod10
%{_datadir}/%{name}/

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5-8.3
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-7.3
- license tag fix
- rebuild for BuildID

* Thu Aug  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-7.2
- correct license

* Thu May 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-7.1
- ppc64 won't work here either

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-7
- bump for fc6

* Thu Jun  8 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-6
- ppc has no inb/outb, thus the ExcludeArch

* Sun Apr 23 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-5
- provide/obsolete old -devel package to keep the repo clean

* Fri Aug  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-4
- only use asm/io.h for ppc
- get rid of devel package (unnecessary)
- fix path for dl-iin.csv, visa-pre.txt

* Thu Aug  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-3
- use asm/io.h to enable ppc to build

* Thu Aug  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-2
- fix devel requires typo

* Thu Aug  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.5-1
- initial package for Fedora Extras
